LOSETUP(8)

NOM
losetup - Mettre en place et contrôler des périphériques boucle

SYNOPSIS
Obtenir des informations :

losetup périphérique_boucle

losetup -a

losetup -j fichier [-o décalage]

Supprimer une boucle :

losetup -d périphérique_boucle ...

Afficher le nom du premier périphérique boucle disponible :

losetup -f

Mettre en place un périphérique boucle :

losetup [{-e|-E} chiffrement] [-o décalage] [--sizelimit taille]
[-p num] [-r] {-f[--show]|périphérique_boucle} fichier

Redimensionner un périphérique boucle :

losetup -c périphérique_boucle

DESCRIPTION
losetup est utilisé pour associer les périphériques boucle avec des fichiers normaux ou des périphériques bloc, pour détacher et pour connaître l'état d'un périphérique boucle. Si seul l'argument périphérique_boucle est fourni, l'état courant du périphérique correspondant est affiché.

  Chiffrement
Il est possible de préciser des fonctions de transfert (pour faire du chiffrement/déchiffrement ou dans un autre but) via les options -E et -e. Il existe deux mécanismes pour indiquer le type de chiffrement désiré : par numéro ou par nom. Si un mode de chiffrement est indiqué par un numéro, il faut s'assurer que le noyau Linux connaît le chiffrement associé, habituellement en modifiant le noyau. Les numéros standard, toujours présents, sont 0 (pas de chiffrement) et 1 (chiffrement XOR). Lorsque le module cryptoloop est chargé (ou compilé dans le noyau), il utilise le numéro 18. Ce module cryptoloop accepte n'importe quel nom de méthode de chiffrement et se charge de trouver le module qui pourra effectivement réaliser ce chiffrement.

OPTIONS
Les arguments taille et décalage peuvent être suivis des suffixes binaires (2^n) KiB, MiB, GiB, TiB, PiB et EiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou décimaux (10^n) KB, MB, GB, PB et EB.

-a, --all
    Montrer l'état de tous les périphériques boucle.

-c, --set-capacity périphérique_boucle
    Forcer le pilote de boucle à relire la taille du fichier associé au périphérique boucle indiqué.

-d, --detach périphérique_boucle ...
    Détacher le fichier ou le périphérique associé au ou aux périphériques boucle indiqués.

-e, -E, --encryption chiffrement
    Activer le chiffrement des données selon la méthode correspondant au numéro indiqué.

-f, --find
    Déterminer le premier périphérique boucle non utilisé. Si un paramètre fichier est fourni, utiliser ce périphérique, sinon, afficher son nom.

-h, --help
    Afficher l'aide.

-j, --associated fichier
    Montrer l'état de tous les périphériques boucle associés avec fichier.

-k, --keybits num
    Fixer à num le nombre de bits à utiliser dans la clef.

-N, --nohashpass
    Ne pas hacher le mot de passe. Par défaut, les systèmes Debian transforment le mot de passe au moyen d'une fonction de hachage, alors que les autres systèmes ont tendance à ne pas le faire.

-o, --offset décalage
    Le début des données est déplacé de décalage octets dans le fichier ou le périphérique indiqués.

--sizelimit taille
    La fin des données est définie au maximum à taille octets après le début des données.

-p, --pass-fd num
    Lire la phrase secrète depuis le descripteur de fichier de numéro num plutôt que depuis le terminal.

-r, --read-only
    Configurer le périphérique boucle en lecture seule

--show
    Afficher le nom du périphérique si l'option -f et un paramètre fichier sont présents.

    La forme courte de cette option (-s) est obsolète. Cette forme courte pourrait entrer en collision avec l'implémentation « Loop AES » où la même option est utilisée pour --sizelimit.

-v, --verbose
    Mode verbeux.

VALEUR DE RETOUR
losetup retourne 0 en cas de succès et une valeur non nulle en cas d'échec. Lorsque losetup affiche l'état courant d'un périphérique boucle, il retourne 1 si le périphérique n'est pas configuré et 2 si une erreur est survenue qui a empêché losetup de déterminer l'état courant du périphérique.

FICHIERS
/dev/loop0, /dev/loop1, ... Périphériques boucle (majeur=7)

EXEMPLE
Si vous utilisez le module chargeable, vous devez d'abord le charger en mémoire via la commande :

    # modprobe loop

Des modules de chiffrement peuvent aussi être nécessaires :

    # modprobe des # modprobe cryptoloop

Les commandes suivantes sont des exemples d'utilisation du périphérique boucle :

    # dd if=/dev/zero of=/file bs=1k count=100
    # losetup -e des /dev/loop0 /file
    Password:
    Init (up to 16 hex digits):
    # mkfs -t ext2 /dev/loop0 100
    # mount -t ext2 /dev/loop0 /mnt
     ...
    # umount /dev/loop0
    # losetup -d /dev/loop0

Si vous utilisez le module chargeable, vous pouvez le décharger de la mémoire avec la commande :

    # rmmod loop

RESTRICTION
Le chiffrement DES est extrêmement lent. D'un autre côté, le XOR est terriblement vulnérable. Les deux sont encore peu sûrs de nos jours. Certains chiffrements nécessitent l'acquisition d'une licence avant de pouvoir les utiliser.

cryptoloop est rendu obsolète par dm-crypt. Pour plus de précisions, consultez cryptsetup(8).

DISPONIBILITÉ
La commande losetup fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Thierry Vignaud <tvignaud AT mandrakesoft DOT com> en 1999. La version présente dans Debian est maintenue par Jean-Baka Domelevo-Entfellner <domelevo AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.